Bug 1015202 - System list does not system status
System list does not system status
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
Nightly
Unspecified Unspecified
unspecified Severity low (vote)
: Unspecified
: --
Assigned To: Eric Helms
Sachin Ghai
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-03 11:55 EDT by Eric Helms
Modified: 2014-04-24 13:12 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
red/green icon shows subscription status under system list (85.25 KB, image/png)
2013-10-22 02:49 EDT, Sachin Ghai
no flags Details

  None (edit)
Description Eric Helms 2013-10-03 11:55:39 EDT
Description of problem:
When viewing a full list of systems, there is no data in the status column to indicate red/green/yellow status.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Register 1 or more systems
2. Navigate to the systems page
3.

Actual results:
No information displayed in the status column.

Expected results:
A red/green/yellow circle indicating the systems status.

Additional info:
Comment 2 Eric Helms 2013-10-03 13:52:05 EDT
Tracking via https://github.com/Katello/katello/pull/3085
Comment 3 Eric Helms 2013-10-03 14:37:48 EDT
Fix available as of 069d2925553257893b297da6d717cc2879de733a
Comment 6 Sachin Ghai 2013-10-22 02:47:43 EDT
Verified in following MDP2 build:

[root@cloud-qe-8 ~]# rpm -qa | grep katello
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-glue-candlepin-1.4.6-40.el6sat.noarch
ruby193-rubygem-katello-foreman-engine-0.0.12-3.el6sat.noarch
katello-certs-tools-1.4.4-1.el6sat.noarch
katello-foreman-all-1.4.6-40.el6sat.noarch
katello-configure-1.4.7-6.el6sat.noarch
signo-katello-0.0.23-2.el6sat.noarch
katello-glue-elasticsearch-1.4.6-40.el6sat.noarch
katello-cli-1.4.3-24.el6sat.noarch
katello-cli-common-1.4.3-24.el6sat.noarch
katello-1.4.6-40.el6sat.noarch
katello-all-1.4.6-40.el6sat.noarch
katello-qpid-client-key-pair-1.0-1.noarch
rubygem-hammer_cli_katello_bridge-0.0.6-2.el6sat.noarch
ruby193-rubygem-katello_api-0.0.3-4.el6sat.noarch
katello-common-1.4.6-40.el6sat.noarch
katello-glue-pulp-1.4.6-40.el6sat.noarch
katello-qpid-broker-key-pair-1.0-1.noarch
katello-selinux-1.4.4-4.el6sat.noarch
pulp-katello-plugins-0.2-1.el6sat.noarch
katello-configure-foreman-1.4.7-6.el6sat.noarch
ruby193-rubygem-foreman-katello-engine-0.0.17-6.el6sat.noarch

red/green circle indicating the subscription status under system list page.

please see the attachment.
Comment 7 Sachin Ghai 2013-10-22 02:49:38 EDT
Created attachment 814865 [details]
red/green icon shows subscription status under system list
Comment 8 Bryan Kearney 2014-04-24 13:11:25 EDT
This was verified and delivered with MDP2. Closing it out.
Comment 9 Bryan Kearney 2014-04-24 13:12:18 EDT
This was delivered and verified with MDP2. Closing the bug.

Note You need to log in before you can comment on or make changes to this bug.